Bug 989402 - Wrong return code while deleting LDAP account from passwd
Wrong return code while deleting LDAP account from passwd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: shadow-utils (Show other bugs)
5.7
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-07-29 04:27 EDT by Guillaume COEUGNET
Modified: 2014-02-04 10:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 12:02:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume COEUGNET 2013-07-29 04:27:12 EDT
Description of problem:
userdel return a "success" return code 0 while encountering an error to delete an external source account (+username) in /etc/passwd. 

Version-Release number of selected component (if applicable):
shadow-utils-4.0.17-18.el5_6.1

How reproducible:
[root@maribor ~]# grep nrpe /etc/passwd
+nrpe
[root@maribor ~]# userdel nrpe
userdel: error deleting password entry
[root@maribor ~]# echo $?
0

Steps to Reproduce:
1.add a + entry in the /etc/passwd file
2.try to delete the entry with a userdel. An error message will be displayed
3.echoes the return code which will be '0'

Actual results:
[root@maribor ~]# echo $?
0

Expected results:
[root@maribor ~]# echo $?
6 (or another return code to indicate that the deletion was not suceeded)

Additional info:
Comment 1 Tomas Mraz 2013-12-02 12:02:17 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification.

Note You need to log in before you can comment on or make changes to this bug.